/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.sg.materialmodule.activiti.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.EngineeringAmount;
import com.jeeplus.modules.sg.managementcenter.activiti.entity.UploadImages;
import com.jeeplus.modules.sg.managementcenter.constructionProject.entity.ConstructionProject;
import com.jeeplus.modules.sg.materialmodule.activiti.entity.MaterialModule;
import com.jeeplus.modules.sg.materialmodule.activiti.entity.NonPower;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;


@MyBatisMapper
public interface NonPowerMapper extends BaseMapper<NonPower> {
    /**
     * 通过项目需求名称查询所有的施工交底土建信息
     * */
    List<EngineeringAmount> findCivilWorks(String reserveProjectName);

    /**
     * 修改土建开工报告信息
     * */
    void updateStart(NonPower nonPower);

    /**
     * 修改土建竣工报告信息
     * */
    void updateEnd(NonPower nonPower);

    /**
     * 根据项目需求名称查询项目信息
     */
    NonPower findIsNonPower(String reserveProjectName);

    NonPower getById(String procInsId);

    List<NonPower> findListPage(NonPower nonPower);

    /**
     * 土建流程上传文件
     * */
    void saveUpload(UploadImages uploadImages);

}